Opened 14 years ago

Closed 14 years ago

#10952 closed enhancement (fixed)

Update bazaar-ng to version 0.11

Reported by: nirs@… Owned by: pmq@…
Priority: High Milestone:
Component: ports Version: 1.3.2
Keywords: Cc: mww@…
Port:

Description

The patch update bazaar-ng from version 0.8.2 to 0.11.

diff -ur old/Portfile new/Portfile
--- old/Portfile	2006-10-27 19:34:32.000000000 +0200
+++ new/Portfile	2006-10-27 21:00:55.000000000 +0200
@@ -4,7 +4,7 @@
 PortGroup python24 1.0
 
 name			bazaar-ng
-version			0.8.2
+version			0.11
 categories		devel python
 platforms		darwin
 maintainers		mww@opendarwin.org
@@ -19,9 +19,9 @@
 			Canonical called Bazaar-NG.
 
 homepage		http://bazaar-vcs.org/
-master_sites	http://bazaar-vcs.org/pkg/
+master_sites	http://bazaar-vcs.org/releases/src/
 distname		bzr-${version}
-checksums		sha1 1aea6e0783219f0c2d074c9407ad09cb36b4ade2
+checksums		sha1 ce629bba4594bb15ab996caa3d7dc12680ee49dd
 patchfiles		patch-setup.py
 
 depends_lib-append	port:py-celementtree
@@ -31,4 +31,7 @@
 		README TODO ${destroot}${prefix}/share/doc/${name}
 }
 
+test.run yes
+test.cmd make
+test.target check
 
diff -ur old/files/patch-setup.py new/files/patch-setup.py
--- old/files/patch-setup.py	2006-10-27 19:40:30.000000000 +0200
+++ new/files/patch-setup.py	2006-10-27 19:54:36.000000000 +0200
@@ -1,10 +1,11 @@
---- setup.py	2006-05-22 13:11:12.000000000 -0700
-+++ setup.py	2006-05-16 21:01:47.000000000 -0700
-@@ -115,6 +115,6 @@
-                 ],
-       scripts=['bzr'],
-       cmdclass={'install_scripts': my_install_scripts, 'build': bzr_build},
--      data_files=[('man/man1', ['bzr.1'])],
-+      data_files=[('share/man/man1', ['bzr.1'])],
-     #   todo: install the txt files from bzrlib.doc.api.
-      )
+--- setup.py.orig	2006-10-27 18:52:02.000000000 +0200
++++ setup.py	2006-10-27 19:31:56.000000000 +0200
+@@ -207,7 +207,7 @@
+ else:
+     # std setup
+     ARGS = {'scripts': ['bzr'],
+-            'data_files': [('man/man1', ['bzr.1'])],
++            'data_files': [('share/man/man1', ['bzr.1'])],
+             'cmdclass': {'build': bzr_build,
+                          'install_scripts': my_install_scripts,
+                         },

Attachments (2)

bazaar-ng.diff (1.8 KB) - added by nirs@… 14 years ago.
patch
bazaar-ng-0.12.diff (1.8 KB) - added by macports.zelusgmail@… 14 years ago.
Upgrade the Port to 0.12 of bzr

Download all attachments as: .zip

Change History (5)

Changed 14 years ago by nirs@…

Attachment: bazaar-ng.diff added

patch

comment:1 Changed 14 years ago by macports.zelusgmail@…

bzr is now 0.12

Changed 14 years ago by macports.zelusgmail@…

Attachment: bazaar-ng-0.12.diff added

Upgrade the Port to 0.12 of bzr

comment:2 Changed 14 years ago by pmq@…

Owner: changed from mww@… to pmq@…

comment:3 Changed 14 years ago by pmq@…

Resolution: fixed
Status: newclosed

Committed, thanks! I also changed master_sites to use $homepage.

Note: See TracTickets for help on using tickets.